
	global newPathValue = ""
	global newpath = ""
	global setPath = false
	global stripPath = false
	global maxSceneFile = ""
	global MaxFileTargetPath = ""
	global MaxFileDestinationPath = ""
	global targetPath = ""
	global destinationPath = ""
	global barValue = 0
	global saveSelectedPath = ""
	global saveSelectedDestinationPath = ""

	
	rollout AssetCollector "Asset Collector" width:350 height:145
	(

		
		group "Path to Collect Asset"
		(
		edittext newPathEditText "" pos:[15,27] fieldWidth:240 text:newPathValue align:#left across:2

		button GetNewPathButton "Browse" pos:[280,26] width:50 height:20

		on newPathEditText changed text do 
			(
				if text[text.count] != "\\" then text = text + "\\"
				newPathValue = text
				newPathEditText.text = text
			)
		
		on GetNewPathButton pressed do 
			(
				newpath = getSavePath()
				saveSelectedPath = newpath
				if newpath != undefined then 
				(
					if newpath[newpath.count] != "\\" then newpath = newpath + "\\"
					newPathValue = newpath
					newPathEditText.text = newpath
				)
				else 
					(
						newPathValue = ""
						newPathEditText.text = ""
				)
			)
	
	
		checkbox resetPathCheckBox "update asset path." checked:false pos:[19,60] width:150 height:17
		checkbox stripPathCheckBox "strip all path." checked:false pos:[168,60] width:90 height:17
		checkbox saveSelectedObject "save selected object." checked:false pos:[19,80] width:150 height:17
		checkbox sMaxFile "collect max file." checked:false pos:[168,80] width:150 height:17

		on saveSelectedObject changed theState do
		(
			sMaxFile.checked = true
		)
		on resetPathCheckBox changed theState do
		(
			stripPathCheckBox.checked = false
			setPath = resetPathCheckBox.state
		)

		
		on stripPathCheckBox changed theState do
		(
			resetPathCheckBox.checked = false
			stripPath = stripPathCheckBox.state
			
		)

		button OkButton "OK" pos:[280,60] width:50 height:20
		

		progressbar prg color:[51,153,255] pos:[20,105] width:310 height:10
		on OkButton pressed do
		(
		local myAssetList = #()
		ATSOps.Refresh()
		iCount = ATSOps.GetFiles &myAssetList
		i = 0
		maxFileArrayNumber = 0
		if (saveSelectedObject.state == true) then
		(
			print ("--------------------Asset Collector Save Selected Object--------------------")
			boolSucceed = false
			fn GetBitmapTextures theObjects =
			(
				texMaps = #()
				for obj in theObjects do
				(
					join texMaps (getClassInstances bitmapTexture target:obj asTrackViewPick:off)
				)
				makeUniqueArray texMaps
			)
			texMaps = (GetBitmapTextures selection)
			for texMap in texMaps do 
			(
				local resolvedPath = pathConfig.mapPaths.getfullfilepath(texMap.filename) 
				fileName = getFilenameFile (texMap.filename)
				fileName += getFilenameType (texMap.filename)
				endpath = saveSelectedPath + "\\" + fileName
		
				print ("endpath" + endpath)
				destinationPath = saveSelectedPath + "\\" + filenamefrompath(texMap.filename)
				if((setPath == true) and (saveSelectedObject.state == true)) then
				(
					texMap.filename = endpath
				)
				if((stripPath == true) and (saveSelectedObject.state == true)) then
				(
					texMap.filename = filename
				)
				boolSucceed  = copyfile (resolvedPath) (destinationPath)

				if (boolSucceed  == true) then
				(
					print ("copied : " + (resolvedPath) + " to: " + (destinationPath))
				)
				else
				(
					print ("fail to copy : " + (resolvedPath) + " to: " + (destinationPath))
						
				)
		
			)

			if((sMaxFile.state == true) and (saveSelectedObject.state == true)) then
			(
				

				-- instantiate the object
				theObj = dotNetObject "MaxCustomControls.RenameInstanceDialog" "Type in new name here"
				theobj.text ="Enter New Save Selected Object Name"
				DialogResult = theObj.Showmodal()

				--test if the ok button was pressed
				dotnet.compareenums TheObj.DialogResult ((dotnetclass "System.Windows.Forms.DialogResult").OK)
				--get the new text string
				saveSelectedFileName  = theobj.InstanceName + ".max"

				saveSelectedDestinationPath = saveSelectedPath + "\\" + saveSelectedFileName --this is the complete string
	
				if $ != undefined do 
					saveNodes $ saveSelectedDestinationPath --this saves ("copies") the objects as a file
			)

			print ("--------------------End Asset Collector Save Selected Object--------------------")
			
		)
		if ((iCount > 0) and (newpath != undefined) and (saveSelectedObject.state == false)) then 
			(
				print ("--------------------Asset Collector--------------------")
				for i in myAssetList do
				(
					local resolvedPath = pathConfig.mapPaths.getfullfilepath(i) 
					--local targetPath = ""
					--local destinationPath = ""

					if (i != resolvedPath) then 
					(								
						targetPath = resolvedPath
						destinationPath = newpath + "\\" + filenamefrompath(i)
					
					)
					else 
					(											
						targetPath = i
						destinationPath = newpath + "\\" + filenamefrompath(i)	
					)
			
					if (maxFileArrayNumber < 1) then
					(
						MaxFileTargetPath = targetPath
						MaxFileDestinationPath = destinationPath
						boolSucceed = false
					) else
						boolSucceed  = copyfile (targetPath) (destinationPath)

					if (boolSucceed  == true) then
					(
						print ("copied : " + (targetPath) + " to: " + (destinationPath))
					)
					else
					(
						print ("fail to copy : " + (targetPath) + " to: " + (destinationPath))
						
					)		
						
						maxFileArrayNumber+=1
						barValue = 100.0*maxFileArrayNumber/iCount
						AssetCollector.prg.value = barValue
						
				)
				print ("--------------------End Asset Collector--------------------")
			)
			
			if((setPath == true) and (saveSelectedObject.state == false)) then
			(
			
				ATSOps.SetPath newpathValue CreateOutputFolder:false
				ATSOps.SetPath newpathValue CreateOutputFolder:false
			)
			if((stripPath == true) and (saveSelectedObject.state == false)) then
			(
				ATSOps.SetPath "" CreateOutputFolder:false
				ATSOps.SetPath "" CreateOutputFolder:false	
			)
			if((sMaxFile.state == true) and (saveSelectedObject.state == false)) then
			(
				saveMaxFile MaxFileDestinationPath
			)
			print(sMaxFile.state)
		)
		
		)
		
		

		label creadit "Asset Collector version 0.6 | Created by" pos:[45,125] across:2  hyperLink creditLink 

"cmjohncheng" offset:[65,-1] address:"http://www.archcg.com.my"  width:200 height:18
		
	
	)

CreateDialog AssetCollector lockWidth:true lockheight:true style:#(#style_toolwindow, #style_resizing, #style_sysmenu)

